//========================================================================================
//
//	File:				PartInfo.fr
//	Release Version:	$ ODF 2 $
//
//	Copyright:	(c) 1993 - 1996 by Apple Computer, Inc., all rights reserved.
//
//========================================================================================

#ifndef FWRESFIL_K
#include "FWResFil.k"
#endif

#ifndef FWPART_FR
#include "FWPart.fr"
#endif

#ifndef DEFINES_K
#include "Defines.k"
#endif

#ifndef BINDING_K
#include "Binding.k"
#endif

#ifndef SLGCONST_K
#include "SLGConst.k" 
#endif

#ifndef FWVIEWS_FR
#include "FWViews.fr"
#endif

#ifndef FWWINDOW_K
#include "FWWindow.k"
#endif

#ifndef INTLRES_K
#include "IntlRes.k"
#endif

//----------------------------------------------------------------------------------------
//	PartInfo Resource
//----------------------------------------------------------------------------------------

resource FW_RPartInfo(kPartInfoID)
{
	// ----- Icon ID
	kPartIconID,
	
	// ----- MenuBar ID
	kMenuBar,

	// ----- Document Window ID
	kDocumentWindowID,
	
	// ----- Part Name
	kODFIntlTestEditorUserString,
	
	// ----- PartKind
	kODFIntlTestKind
};

//----------------------------------------------------------------------------------------
//	Document Window Resource
//----------------------------------------------------------------------------------------

resource FW_RDocumentWindow(kDocumentWindowID)
{
	// ----- Size
	{FW_FIX(320), FW_FIX(260)},
	
	// ----- Position
	{FW_FIX(0), FW_FIX(0)},		// (0,0) means default position
	
	// ----- Style
	FW_kDocumentWindow,

	// ----- Presentation
	kMainPresentation
};

//----------------------------------------------------------------------------------------
//	About Resource
//----------------------------------------------------------------------------------------

resource FW_RAbout(kAboutBox)
{
	// ----- Icon ID
	kPartIconID,
	// ----- Part Name
	FW_RStyledText
	(
		FW_FIX(18), 
		FW_kBold, 
		"times", 
		"ODFIntlText"
	),
	// ----- Version Number
	FW_RStyledText
	(
		FW_FIX(9),
		FW_kPlain,
		"geneva",
		"Version ODF R2"
	),
	// ----- Credits
	FW_RStyledText
	(
		FW_FIX(14),
		FW_kPlain,
		"osaka",
		RJStringData
		(
			"hs͎łB\r\r\r"
			"v@\r"
			"@nce@D\r"
		)
	),
	// ----- ButtonString
	RJStringData("OK"),
	// ----- ButtonSize
	{FW_FIX(80), FW_FIX(40)}
};

//----------------------------------------------------------------------------
// Strings for testing FW_RStringData resource

type RJString (TESTSTRINGRES)
{
	RJStringData;
};

resource RJString (kDefaultJStringID)
{
	"łB"
};

type REngString (TESTSTRINGRES)
{
	FW_RStringData;
};

resource REngString (kDefaultEngStringID)
{
	"Testing"
};

//----------------------------------------------------------------------------
// Strings for Test dialogs

resource RJString (kJTooBigStringID)
{
	"ԍ͑傫߂܂"	// bango ha ookisugimasu
};

resource RJString (kJNthCharStringID)
{
	"Ԗڂ̎́u**vł"	// banme no ji ha ** desu
};

//----------------------------------------------------------------------------
// Strings for Japanese menu items

resource RJString (kJMenuStringID)
{
	""	// tamesi
};

